MKSNAP_FFS(8)

NAME
mksnap_ffs - take a file system snapshot

SYNOPSIS
mksnap_ffs snapshot_name

DESCRIPTION
The mksnap_ffs utility creates a snapshot named snapshot_name.

The group ownership of the file is set to “operator”; the owner of the file remains “root”. The mode of the snapshot is set to be readable by the owner or members of the “operator” group.

EXAMPLES
Create a snapshot of /usr/home file system and mount the snapshot elsewhere:

    mksnap_ffs /usr/home/snapshot
    mdconfig -a -t vnode -o readonly -f /usr/home/snapshot
    mount -o ro /dev/md0 /mnt/

SEE ALSO
chmod(2), chown(8), mdconfig(8), mount(8)

HISTORY
The mksnap_ffs utility first appeared in FreeBSD 5.0.

CAVEATS
The disk full situation is not handled gracefully and may lead to a system panic when no free blocks are found.

Every filesystem can have only up to 20 active snapshots. When this limit is reached, attempting to create more snapshots fails with ENOSPC, and mksnap_ffs reports that it is “out of space”.